
Foreman - Feature #2367

Support Ruby 2.0

04/02/2013 09:50 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Foreman should theoretically be able to run on Ruby 2.0 now Rails 3.2.13 is used.

Associated revisions

Revision 7735a19a - 04/24/2013 05:33 AM - Dominic Cleal

fixes #2367 - Ruby 2.0 support

require bundler 1.3, preventing ruby-debug19 getting installed on Ruby 2

update 1.9 gems to install on 2.0 too

don't use empty arrays in Hash constructor, causes ArgumentError

History

#1 - 04/22/2013 07:44 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Target version set to 1.2.0

https://github.com/theforeman/foreman/pull/537

#2 - 04/24/2013 07:30 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7735a19abe12762f06f7a5924a3033e168a56cc4.
